Validar processo
curl --request POST \
--url https://api.lazydata.com.br/v1/monitoring/process/validate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"process_number": "<string>",
"court_code": "<string>"
}
'import requests
url = "https://api.lazydata.com.br/v1/monitoring/process/validate"
payload = {
"process_number": "<string>",
"court_code": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({process_number: '<string>', court_code: '<string>'})
};
fetch('https://api.lazydata.com.br/v1/monitoring/process/validate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"message": "Processo validado com sucesso.",
"result": {
"process": {
"process_number": "0000001-77.2026.8.26.0000",
"judicial_class": "Procedimento Comum Cível",
"subject": "Consulta processual",
"court": "TJSP",
"court_name": "Tribunal de Justiça de São Paulo",
"degree": "1"
},
"court": {
"code": "tjsp",
"acronym": "TJSP",
"name": "Tribunal de Justiça de São Paulo",
"group": "state"
},
"monitoring": {
"id": "process_datajud",
"type": "process",
"price_per_check": 0.03,
"frequencies": []
}
}
}
{
"code": 404,
"message": "Processo não encontrado."
}
Processo
Validar processo
Valide um processo no tribunal informado antes de criar o monitoramento.
POST
https://api.lazydata.com.br/
/
v1
/
monitoring
/
process
/
validate
Validar processo
Valida se o processo existe no tribunal informado e retorna os dados usados na criação do monitoramento.
{
"code": 200,
"message": "Processo validado com sucesso.",
"result": {
"process": {
"process_number": "0000001-77.2026.8.26.0000",
"judicial_class": "Procedimento Comum Cível",
"subject": "Consulta processual",
"court": "TJSP",
"court_name": "Tribunal de Justiça de São Paulo",
"degree": "1"
},
"court": {
"code": "tjsp",
"acronym": "TJSP",
"name": "Tribunal de Justiça de São Paulo",
"group": "state"
},
"monitoring": {
"id": "process_datajud",
"type": "process",
"price_per_check": 0.03,
"frequencies": []
}
}
}
{
"code": 404,
"message": "Processo não encontrado."
}
Corpo da requisição
string
required
Número do processo no padrão CNJ.
string
required
Sigla/código público do tribunal DataJud.
Se você não souber o
court_code, use Detectar tribunal antes desta chamada.Exemplo de corpo
{
"process_number": "0000001-77.2026.8.26.0000",
"court_code": "tjsp"
}
⌘I

